import { getAssetFromKV } from '@cloudflare/kv-asset-handler'

addEventListener('fetch', event => {
  event.respondWith(handleEvent(event))
})

async function handleEvent(event) {
  const url = new URL(event.request.url)
  
  if (url.pathname.startsWith('/register')) {
    // Handle registration
    return handleRegister(event)
  } else {
    // Serve static assets
    return getAssetFromKV(event)
  }
}

async function handleRegister(event) {
  if (event.request.method === 'POST') {
    const userData = await event.request.json()
    const auth0Id = userData.auth0Id
    
    // Save to KV
    await KV_ECS.put(auth0Id, '0')
    
    return new Response('User registered successfully', { status: 200 })
  } else {
    return new Response('Method not allowed', { status: 405 })
  }
}

