// Import the Stripe library
const stripe = require('stripe')(STRIPE_SECRET_KEY);

addEventListener('fetch', event => {
  event.respondWith(handleRequest(event.request));
})

async function handleRequest(request) {
  // We assume 1 token = 1 USD
  const price = 1;
  
  // Extract quantity from the request
  const requestBody = await request.json();
  const quantity = requestBody.quantity;

  // Create a checkout session
  const session = await stripe.checkout.sessions.create({
    payment_method_types: ['card'],
    line_items: [
      {
        price_data: {
          currency: 'usd',
          product_data: {
            name: 'Token',
          },
          unit_amount: price * 100, // Stripe uses cents for unit amount
        },
        quantity: quantity,
      },
    ],
    mode: 'payment',
    success_url: 'https://enginecodesolutions.com/success',
    cancel_url: 'https://enginecodesolutions.com/cancel',
  });

  return new Response(JSON.stringify({ id: session.id }), { status: 200 });
}

