// app.js

document.addEventListener("DOMContentLoaded", async () => {
    await handleAuthentication();
    const logoutButton = document.getElementById("logout");
    const purchaseTokensButton = document.getElementById("purchase-tokens");

    if (logoutButton) {
        logoutButton.addEventListener("click", async (e) => {
            e.preventDefault();
            await logout();
            sessionStorage.removeItem('userProfile'); // Add this line
        });
    } else {
        console.error('Logout button not found');
    }

    if (await isAuthenticated()) {
        const user = await getUser();
        console.log(user);
        // Display user information

        if (isAuthenticated) {
            // Storing user profile information in sessionStorage
            sessionStorage.setItem('userProfile', JSON.stringify(user));

            // Alternatively, you could use localStorage which persists even when the browser is closed and reopened
            // localStorage.setItem('userProfile', JSON.stringify(userProfile));
        }
    }

    if (purchaseTokensButton) {
        purchaseTokensButton.addEventListener("click", () => {
            const quantity = 10;  // Set this to the quantity of tokens the user wants to purchase
            purchaseTokens(quantity);
        });
    } else {
        console.error('Purchase Tokens button not found');
    }
});
